Subject: bug#32350:

From: Carlos Pita <[email-masked]>
Date: Thu, 2 Aug 2018 18:15:31 -0300

I think this could be due an async check being active at the time
flymake-delete-own-overlays is, too early, called. Indeed the overlays
appear perceptibly after the buffer was loaded.

It probably can happen when flymake is manually disabled but, I assume
due to timing issues, I'm unable to reproduce the same effect by hand.

I'm speculating here but I believe the routine that is writing the
overlays should first check that flymake is still enabled, since it
could have been disabled in the meantime.